/*
Theme Name: ampweld
Theme URI: 
Author: ampweld
Author URI: 
Description: 
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 0.3.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: ampweld
Tags: 
*/

.home-main-carousel figure > img {
    width: 100%;
}

.home-main-banner-rent {
    position: relative;
    height: 100%;
}

.home-main-banner-rent > figure, .home-main-banner-rent > figure > a, .home-main-banner-rent > figure > a > img {
    max-height: 408px;
    height: 100%;
    object-fit: cover;
}

.home-main-banner-rent > p {
    position: absolute;
    top: 40px;
    left: 0;
    width: 100%;
    text-align: center;
}

.home-main-banner-rent > p a {
    text-decoration: none;
}

.homepage-article-container {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.homepage-article-card {

}
.homepage-article-card figure {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.homepage-article-card figure > img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.homepage-article-card .homepage-article-card-content {
    width: 100%;
}

.homepage-carousel-wrapper {
    display: grid !important;
    grid-template-columns: minmax(888px, 2fr) minmax(auto, 436px);
    gap: 1rem;
}

@media (max-width: 782px) {
    .homepage-carousel-wrapper {
        grid-template-columns: 1fr;
    }
}

.contact-map-container iframe {
    max-width: 100%;
    max-height: 100%;
}

.contact-page-card {
    max-width: 100%;
    margin: 0 auto !important;
}


.contact-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 4rem;
}
.contact-grid > div {
    /*display: flex;*/
    /*justify-content: center;*/
    flex: 1 1 350px;
}
@media (max-width: 782px) {
    .contact-grid {
        /*grid-template-columns: 1fr;*/
        /*justify-items: center;*/
    }
}

.wp-site-blocks {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main.wp-block-group:first-of-type {
    flex: auto;
}

.servis-tables-grid {
    display: grid !important;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
}

.servis-tables-grid > figure, .servis-tables-grid > figure > table {
    height: 100%;
}

@media (max-width: 1340px) {
    .servis-tables-grid {
        grid-template-columns: repeat(1, 1fr);
    }
}

header .header-logo-thirty-years {
    display: none;
}

@media (min-width: 1024px) {
    header .header-logo-thirty-years {
        display: block;
    }
}

header {
    position: sticky;
    top: 0;
    z-index: 100;
}

footer {
    margin-block-start: 0 !important;
    position: relative;
    z-index: 90;
}

@media (min-width: 1024px) {
    main {
        padding-bottom: calc(96px + var(--wp--preset--spacing--20)) !important;
    }

    footer {
        position: fixed;
        bottom: 0;
        width: 100%;
        z-index: 90;
    }
}

/** Utility **/
.prevent-text-wrapping {
    white-space: nowrap;
}

.h-full {
    height: 100% !important;
}
.w-full {
    width: 100% !important;
}

.max-w-unset {
    max-width: unset !important;
}

.no-underline, .no-underline a {
    text-decoration: none;
}

/** Kontaktny formular **/
#wpforms-103 {
    max-width: 520px;
    width: 100%;
    margin: 0;
}

.contact-card {
    max-width: 30rem;
    width: 100%;
}

.contact-row-label {
    width: 4rem;
}

.category-article-container {
    display: grid !important;
    grid-gap: 2rem;
}
.category-article-container.horizontal {
    grid-template-columns: 1fr !important;
}

@media (min-width: 1024px) {
    .category-article-container {
        grid-template-columns: 66% minmax(auto, 1fr);
    }
}

.category-mig-mag-table-row {
    display: grid !important;
    gap: 1rem;
}

@media (min-width: 1024px) {
    .category-mig-mag-table-row {
        align-items: center;
        grid-template-columns: 48px 7rem auto;
    }
}